---
title: HiFi de novo genome assembly workflow
toc: false
---


## About

HiFi-assembly-workflow is a bioinformatics pipeline that can be used to analyse Pacbio CCS reads for *de novo* genome assembly using PacBio Circular Consensus Sequencing (CCS) reads. This workflow is implemented in Nextflow and has 3 major sections. 
 
Please refer to [this documentation for detailed recommendations](recommendations) relevant to each workflow section:
 
- [Adapter filtration and pre-assembly quality control (QC)](recommendations.md#stage-1-adapter-filtration-and-pre-assembly-quality-control)
- [Assembly](recommendations.md#stage-2-assembly)
- [Post-assembly QC](recommendations.md#stage-3-post-assembly-quality-control)

## Documentation pages available

{% include section-navigation-tiles.html type="docs" %}


## Please cite the workflow as follows

> 


## Contributors

{% include contributor-tiles-all.html %}


## Acknowledgements

This work was developed at AGRF and supported by the [Australian BioCommons](https://www.biocommons.org.au/) via [Bioplatforms Australia](https://bioplatforms.com/) funding, the Australian Research Data Commons (https://doi.org/10.47486/PL105) and the Queensland Government RICF programme. Bioplatforms Australia and the Australian Research Data Commons are enabled by the National Collaborative Research Infrastructure Strategy (NCRIS).

The documentation in this repository is based on [Australian BioCommons guidelines](https://github.com/AustralianBioCommons/doc_guidelines). 

This guide makes use of the [ELIXIR toolkit theme](https://github.com/ELIXIR-Belgium/elixir-toolkit-theme)

{% include affiliation-tiles-selection.html type="infrastructure" %}


## References

> Gustafsson, J., Al Bkhetan, Z., Shadbolt, M., Murigneux, V., Williams, S., Capon, P., Khan, F. Z., & Nelson, T. (2023). How-to Guide for creating a How-to Guide (Version 1.0.0) [Computer software]. https://doi.org/10.5281/zenodo.8210269
